Subject: Re: bug#21415: 25.0.50; Emacs Trunk -- pixelwise width/height for x-create-frame

From: martin rudalics <[email-masked]>
Date: Sat, 12 Sep 2015 13:11:16 +0200

> Commenting out the following small segment in `nsterm.m` fixes the
 > problem with large frames being created partially above the top of the
 > display -- i.e., it is no longer necessary to correct the bug by
 > following a `make-frame` with `set-frame-position` (to move it
 > squarely onto the screen) when `ns-auto-hide-menu-bar` is set to `t`.
 > As it stands now, the default position is `top 0` and `left 0` --
 > perfect!
 >
 >     if (ns_menu_bar_should_be_hidden ())
 >       return frameRect;

That check probably had a purpose.  Anders, what's your opinion on
removing it?

Thanks, martin